<template>
  <b-card class="appointmentList">
    <b-table 
      borderless 
      responsive 
      striped 
      hover 
      :items="list" 
      :fields="fields"
    >
      <template #cell(id)="data">
        <b-button squared size="sm" variant="primary" :to="{ name: 'detail', params: { id: data.item.id } }">Detalhes</b-button>
      </template>
    </b-table>      
  </b-card>
</template>

<script>
export default {
  props: {
    list: {
      type: Array,
      required: true
    }
  },

  data() {
    return {
      fields: [
        { key: 'doctor', label: 'Médico', thClass: 'cellMd', tdClass: 'cellMd' },
        { key: 'date', label: 'Data', thClass: 'cellSm', tdClass: 'cellSm' },
        { key: 'hour', label: 'Hora', thClass: 'cellSm', tdClass: 'cellSm' },
        { key: 'pacient', label: 'Paciente', thClass: 'cellMd', tdClass: 'cellMd' },
        { key: 'observation', label: 'Observação', thClass: 'cellLg', tdClass: 'cellLg' },
        { key: 'id', label: 'Detalhes', thClass: 'cellSm', tdClass:"cellSm" }
      ],
    }
  }
}
</script>

<style>

</style>